### Method

# Ide Pipeline attach

#### Declaration

    guint
    ide_pipeline_attach (
      IdePipeline* self,
      IdePipelinePhase phase,
      gint priority,
      IdePipelineStage* stage
    )

#### Description

Insert `stage` into the pipeline as part of the phase denoted by `phase`.

If priority is non-zero, it will be used to sort the stage among other stages that are part of the same phase.

Available since: | 3.32

#### Parameters

`phase` | `IdePipelinePhase`
| An `IdePipelinePhase`.
`priority` | `gint`
| An optional priority for sorting within the phase.
`stage` | `IdePipelineStage`
| An `IdePipelineStage`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `guint`
| A stage_id that may be passed to ide_pipeline_detach().